GWT 2.7.0

## com.google.gwt.core.ext.typeinfo
Interface JTypeParameter

All Superinterfaces:
  HasAnnotations, HasMetaData, JClassType, JType

    public interface JTypeParameter

extends JClassType

Represents one of the type parameters in a generic type.

Method Summary
`JClassType` | `getBaseType()`
`JClassType[]` | `getBounds()`
`JGenericType` | `getDeclaringClass()`
`JClassType` | `getFirstBound()`
`int` | `getOrdinal()`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethod, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isLocalType, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType
`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations
`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasMetaData
`getMetaData, getMetaDataTags`

Method Detail

### getBaseType

    JClassType getBaseType()

### getBounds

    JClassType[] getBounds()

### getDeclaringClass

    JGenericType getDeclaringClass()

### getFirstBound

    JClassType getFirstBound()

### getOrdinal

    int getOrdinal()

GWT 2.7.0